<div *ngIf="!formVisible" (click)="showForm()" title="Click to Edit" class="value">
  <span *ngIf="hasValue; else noValue"> {{value}} </span>
  <ng-template #noValue><span class="placeholder"> {{placeholder}} </span></ng-template>
</div>
<div *ngIf="formVisible">
  <input *ngIf="fieldType() !== 'checkbox'" [type]="fieldType()" autofocus [(ngModel)]="valueForm"
         [min]="minValue" [max]="maxValue"
         (keyup)="onKeyup($event)"/>

  <input *ngIf="fieldType() === 'checkbox'" [type]="'checkbox'" autofocus
         [checked]="valueForm"
         (change)="onChanged($event)"
  />
</div>
